############################################################
#
# type definition pro_software_component_wlconfig
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.7
#
# Translation of edg-lcfg-wlconfig by Elisabetta Ronchieri.
#
############################################################

template pro_software_component_wlconfig;

include pro_declaration_component_wlconfig;

# Package to install.
"/software/packages"=pkg_repl("ncm-wlconfig","0.0.7-1","noarch");
 
"/software/components/wlconfig/dependencies/pre" = default(list("spma"));
"/software/components/wlconfig/active"= default(true);
"/software/components/wlconfig/dispatch"= default(true);

"/software/components/wlconfig/register_change" = 
  default(list("/system/edg/config/EDG_LOCATION",
               "/system/edg/config/EDG_LOCATION_VAR"));

# Default values for parameters.

"/software/components/wlconfig/configFile" = default("edg_wl.conf");

# Common values.
"/software/components/wlconfig/user" = 
  default("${EDG_WL_USER}");
"/software/components/wlconfig/hostProxyFile" = 
  default("${EDG_WL_TMP}/networkserver/ns.proxy");
"/software/components/wlconfig/grisCache" = default(1);

# Job controller
"/software/components/wlconfig/jobController/condorSubmit" = 
  default("${CONDORG_INSTALL_PATH}/bin/condor_submit");
"/software/components/wlconfig/jobController/condorRemove" = 
  default("${CONDORG_INSTALL_PATH}/bin/condor_rm");
"/software/components/wlconfig/jobController/condorQuery" = 
  default("${CONDORG_INSTALL_PATH}/bin/condor_q");
"/software/components/wlconfig/jobController/condorSubmitDAG" = 
  default("${CONDORG_INSTALL_PATH}/bin/condor_submit_dag");
"/software/components/wlconfig/jobController/condorRelease" = 
  default("${CONDORG_INSTALL_PATH}/bin/condor_release");

"/software/components/wlconfig/jobController/container" = 
  default(1000);

"/software/components/wlconfig/jobController/submitFile" = 
  default("${EDG_WL_TMP}/jobcontrol/submit");
"/software/components/wlconfig/jobController/outputFile" = 
  default("${EDG_WL_TMP}/jobcontrol/cond");

"/software/components/wlconfig/jobController/queueFile" = 
  default("${EDG_WL_TMP}/jobcontrol/queue.fl");

"/software/components/wlconfig/jobController/lockFile" = 
  default("${EDG_WL_TMP}/jobcontrol/lock");

"/software/components/wlconfig/jobController/log/file" = 
  default("${EDG_WL_TMP}/jobcontrol/log/events.log");
"/software/components/wlconfig/jobController/log/level" = 
  default(5);

# LogMonitor
"/software/components/wlconfig/logMonitor/jobsPerCondorLog" = 
  default(1000);
"/software/components/wlconfig/logMonitor/lockFile" = 
  default("${EDG_WL_TMP}/logmonitor/lock");
"/software/components/wlconfig/logMonitor/externalLogFile" = 
  default("${EDG_WL_TMP}/logmonitor/log/external.log");
"/software/components/wlconfig/logMonitor/mainLoopDuration" = 
  default(10);
"/software/components/wlconfig/logMonitor/condorLogDir" = 
  default("${EDG_WL_TMP}/logmonitor/CondorG.log");
"/software/components/wlconfig/logMonitor/condorRecycleDir" = 
  default("${EDG_WL_TMP}/logmonitor/CondorG.log/recycle");
"/software/components/wlconfig/logMonitor/monitorInternalDir" = 
  default("${EDG_WL_TMP}/logmonitor/internal");
"/software/components/wlconfig/logMonitor/idRepositoryName" = 
  default("irepository.dat");
"/software/components/wlconfig/logMonitor/abortedJobsTimeout" = 
  default(600);

"/software/components/wlconfig/logMonitor/log/file" = 
  default("${EDG_WL_TMP}/logmonitor/log/events.log");
"/software/components/wlconfig/logMonitor/log/level" = 
  default(5);

# NetworkServer

"/software/components/wlconfig/networkServer/iiPort" = 
  default(2135);
"/software/components/wlconfig/networkServer/iiTimeout" = 
  default(30);
"/software/components/wlconfig/networkServer/iiDN" = 
  default("mds-vo-name=local, o=grid");
"/software/components/wlconfig/networkServer/iiHost" = default(undef);
"/software/components/wlconfig/networkServer/grisPort" = 
  default(2135);
"/software/components/wlconfig/networkServer/grisTimeout" = 
  default(20);
"/software/components/wlconfig/networkServer/grisDN" = 
  default("mds-vo-name=local, o=grid");
"/software/components/wlconfig/networkServer/backLogSize" = 
  default(16);
"/software/components/wlconfig/networkServer/listeningPort" = 
  default(7772);
"/software/components/wlconfig/networkServer/masterThreads" = 
  default(8);
"/software/components/wlconfig/networkServer/dispatcherThreads" = 
  default(8);
"/software/components/wlconfig/networkServer/sandboxStagingPath" = 
  default("${EDG_WL_TMP}/SandboxDir");
"/software/components/wlconfig/networkServer/quotaManagement" = 
  default(false);
"/software/components/wlconfig/networkServer/quotaSandboxSize" = 
  default(10000000);
"/software/components/wlconfig/networkServer/quotaAdjustment" = 
  default(false);
"/software/components/wlconfig/networkServer/quotaAdjustmentAmount" = 
  default(2000);
"/software/components/wlconfig/networkServer/reservedDiskPercentage" = 
  default(2.0);

"/software/components/wlconfig/networkServer/log/file" = 
  default("${EDG_WL_TMP}/networkserver/log/events.log");
"/software/components/wlconfig/networkServer/log/level" = 
  default(5);

# WorkloadManager
"/software/components/wlconfig/workloadManager/pipeDepth" = 
  default(1);
"/software/components/wlconfig/workloadManager/workerThreads" = 
  default(1);
"/software/components/wlconfig/workloadManager/dispatcherType" = 
  default("filelist");
"/software/components/wlconfig/workloadManager/inputFile" = 
  default("${EDG_WL_TMP}/workload_manager/input.fl");
"/software/components/wlconfig/workloadManager/maxRetryCount" = 
  default(10);

"/software/components/wlconfig/workloadManager/log/file" = 
  default("${EDG_WL_TMP}/workload_manager/log/events.log");
"/software/components/wlconfig/workloadManager/log/level" = 
  default(5);

